.catalog {
  background-color: #eeeeef;

  &__title {
    position: relative;
    padding: 32px 0 23px;
    color: #1f1f1f;
    font-size: 32px;
    font-weight: 600;
    line-height: 40px;
    margin: 0 auto;
    width: 1296px;

    &::after {
      content: "";
      display: block;
      position: absolute;
      height: 1px;
      background: #a8a8a8;
      width: 100%;
      bottom: 0;
    }
  }
}
.catalog-box {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  justify-content: space-between;
  gap: 32px 18px;
  padding: 24px 0 120px;
  margin: 0 auto;
  width: 1296px;
}
.product-card {
  padding: 32px;
  display: flex;
  flex-direction: column;
  background: #fff;
  height: 512px;
  width: 306px;
  position: relative;

  &:hover {
    transform: scale(1.01);
  }
  &__image {
    display: block;
    width: auto;
    margin: 0 auto;
    height: 280px;
  }
  &__name {
    color: #1f1f1f;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
    margin-top: 16px;
  }
  &__author {
    color: $dim-color;
    @include standart-text;
    border-top: 1px solid #a8a8a8;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  &__price {
    margin-top: 8px;
    display: flex;
    gap: 24px;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;

    &_new {
      color: #e90000;
    }
    &_old {
      color: $dim-color;
      text-decoration: line-through;
    }
  }
  &__badge {
    position: absolute;
    top: 32px;
    left: 32px;

    & span {
      padding: 4px 8px;
      border-radius: 4px;
      color: $white-color;
      text-align: center;
      font-weight: 400;
      line-height: 24px;
    }
    &_new {
      background-color: #af39e7;
    }
    &_hit {
      background-color: #4200ff;
    }
    &_sale {
      background-color: #ea33c0;
    }
  }
}
.card-btn {
  width: 242px;
  height: 40px;
  background-color: $violet-color;
  margin-top: 16px;
  color: $white-color;
  font-size: 16px;
  padding: 8px 24px;
  border-radius: 4px;
  cursor: pointer;

  &::before {
    content: "Add to basket";
  }
  &:hover {
    background-color: #744978;
    border: none;
  }
  &:active::before {
    content: "End up";
  }
  &:active {
    background-color: #4d762d;
    border: none;
    transition: 0.5s;
  }
  &:active:hover {
    background-color: #6db236;
  }
}
.chat-btn {
  width: 64px;
  height: 64px;
  background-image: url("../images/chat_icon.png");
  background-repeat: no-repeat;
  background-color: $blue-color;
  background-position: center;
  border-radius: 100%;
  border: none;
  cursor: pointer;
  position: fixed;
  bottom: 88px;
  right: 5px;
  z-index: 1;
}
